Rygel.SearchableContainer.search – librygel-server Reference Manual

# search

## Description:

public abstract async MediaObjects? search (SearchExpression? expression, `uint` offset, `uint` max_count, out `uint` total_matches, `string` sort_criteria, `Cancellable`? cancellable) throws `Error`

Recursively searches for all media objects that satisfy the given search expression in this container.

## Parameters:

expression | the search expression or null for wildcard
offset | zero-based index of the first object to return
max_count | maximum number of objects to return
total_matches | sets it to the actual number of objects that satisfy
cancellable | optional cancellable for this operation.

## Returns:

A list of matching media objects or null if no object matched.